#!/usr/interp/perl -w

# PERL EXAMPLE OF CASE SHIFT ESCAPES 
# By Louis Ziantz

# Description: This program is a demonstration the use of
#             case shift backslash escape character sequences.
# Procedure:   Case shift escapes are applied to a number of
#             strings, and the results are printed.
# Input:       None
# Output:      Various strings that have their case modified.

$fred = "fred";
$bigfred = "\U$fred";
print "$bigfred\n";
# prints FRED<newline>
$bigbarney = "BARNEY";
$barney = "\L$bigbarney";
$capbarney = "\u\L$bigbarney"; # or "\u$barney"
print "$barney $capbarney $bigbarney\n";
# prints barney Barney BARNEY<newline>
